<?php

////////////////////////////////////////////////////////////
// google fonts import the right way
  if ( ! function_exists( 'weart_fonts_url' ) ) :
  function weart_fonts_url() {
      $fonts_url = '';
      $fonts     = array();
      $subsets   = '';
      if ( 'off' !== esc_html_x( 'on', 'Noticia Text font: on or off', 'stuffpost' ) ) {
          $fonts[] = 'Noticia Text:400,400i,700,700i';
      }
      if ( 'off' !== esc_html_x( 'on', 'Titillium Web font: on or off', 'stuffpost' ) ) {
          $fonts[] = 'Titillium Web:300,600,700';
      }
      if ( $fonts ) {
          $fonts_url = add_query_arg( array(
              'family' => urlencode( implode( '|', $fonts ) ),
              'subset' => urlencode( $subsets ),
          ), 'https://fonts.googleapis.com/css' );
      }
      return $fonts_url;
  } endif;



////////////////////////////////////////////////////////////
// Enqueue scripts and styles.
  if ( ! function_exists( 'weart_scripts' ) ) :
  function weart_scripts() {

    /* STYLES */
      wp_enqueue_style( 'fontawesome-all-min', get_template_directory_uri() . '/assets/fontawesome/web-fonts-with-css/css/fontawesome-all.min.css', array(), null  );
      wp_enqueue_style( 'stuffpost-weart-fonts', weart_fonts_url(), array(), null );
      wp_enqueue_style( 'stuffpost-weart-style', get_template_directory_uri() . '/assets/weart.css', array(), null  );
      wp_enqueue_style( 'stuffpost-style', get_stylesheet_uri() );

    /*SCRIPTS*/

    // wait
      wp_register_script('jquery-wait', get_template_directory_uri() . '/assets/js/jquery.wait.js', array( 'jquery' ), null, true );
      wp_enqueue_script('jquery-wait');

    // infinite
      wp_register_script('jquery-infinitescroll-min', get_template_directory_uri() . '/assets/js/jquery.infinitescroll.min.js', array( 'jquery' ), null, true );
      wp_enqueue_script('jquery-infinitescroll-min');

    // lazyload
      wp_register_script( 'jquery-lazy-min', get_template_directory_uri() . '/assets/js/jquery.lazy.min.js', array( 'jquery' ), null, true );
      wp_enqueue_script( 'jquery-lazy-min' );

    // sticky-kit
      wp_register_script( 'sticky-min', get_template_directory_uri() . '/assets/js/sticky.min.js', null, null, true );
      wp_enqueue_script( 'sticky-min' );

    // Bootstrap
      wp_register_script( 'bootstrap-boundle-min', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array( 'jquery' ), null, true );
      wp_enqueue_script( 'bootstrap-boundle-min' );

    // Theme Main JS
      wp_register_script( 'stuffpost-weart', get_template_directory_uri() . '/assets/weart.js', array( 'jquery' ), null, true );
      wp_enqueue_script( 'stuffpost-weart' );

    /* COMMENT REPLY */
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) { wp_enqueue_script( 'comment-reply' ); }

  } endif;
  add_action( 'wp_enqueue_scripts', 'weart_scripts' );
